#!/usr/bin/env bash
# This program starts a child process of model one alignment
# It takes  ? Parameters
echo "---------------------------------------------------------------"
echo "Usage of this script:"
echo  $0 "<exec> <configure> <signal> <logdir>  [All other parameters]"
echo "---------------------------------------------------------------"
echo 
echo 
if [ $# -lt "4" ];
then
	echo " NO! I need your command!"
	exit 1
fi

PARAS=`echo $* | awk '{for(i=5;i<=NF;i++){printf("%s ",$i);} }'`
EXEC=$1
CONF=$2
SIGDIR=$3
LOGDIR=$4

if [ -e $PWD/defines.inc ];
then
	source $PWD/defines.inc
else
	echo "No defines.inc found!"
	exit 1
fi

if [ -x $EXEC ];
then
	echo " Using executable " $EXEC 
else
	echo " The execution file " $EXEC " cannot be executed dude"
	echo " set environment EXEC to get me run!"
	exit 1
fi

# Here is the configure file we are going to write
rm -f ${SIGDIR}
rm -f ${SIGDIR}.failed
rm -f ${SIGDIR}.starting
touch ${SIGDIR}.running
echo $CONF
if $EXEC $CONF $PARAS >& ${LOGDIR} ;
then
	echo " Yeah! we finish, please tell my mom at" ${SIGDIR}
	touch ${SIGDIR}
else
	echo " Something is wrong, see " ${LOGDIR} ", I wrote something"
	touch ${SIGDIR}.failed
	# When mother see this, do something to save me
fi

rm -f ${SIGDIR}.running




